Method: networks.adRules.batchCreate

Batch creates AdRule objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/adRules:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where AdRules will be created. Format: networks/{networkCode} The parent field in the CreateAdRuleRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateAdRuleRequest)
    }
  ]
}
Fields
requests[]

object (CreateAdRuleRequest)

Required. The AdRule objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for adRules.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "adRules": [
    {
      object (AdRule)
    }
  ]
}
Fields
adRules[]

object (AdRule)

The AdRule objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateAdRuleRequest

Request object for adRules.create method.

JSON representation
{
  "parent": string,
  "adRule": {
    object (AdRule)
  }
}
Fields
parent

string

Required. The parent resource where this AdRule will be created. Format: networks/{networkCode}

adRule

object (AdRule)

Required. The AdRule to create.